<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.system.SzOut" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.drivingSchool.*" %>
<%
    //获取提交的参数
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	Exam exam = new Exam();
    boolean flag = false;
    String sUrl = "wenkaoyuyueList.jsp";
    String sMessage = "";
    if (sOPERATOR.equals("delete")) {
        //String id_str[] = request.getParameterValues("chkId");
        //flag = szSchedule.delete(id_str);
    } else if (sOPERATOR.equals("add")) {
    	//文考预约
    	sUrl = "wenkaoyuyueList.jsp";
    	flag = exam.control(request,session);
    } else if (sOPERATOR.equals("update")){
    	//文考成绩录入
    	sUrl = "wenkaoList.jsp";
    	flag = exam.CJcontrol(request,session);
    }
    sMessage = SzOut.getMessage();

    if (flag) {
        out.println(SzPageHelp.jsAlert("操作成功"));
        //out.println(SzPageHelp.jsGoUrl(sUrl));
        out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>